## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlTableLoader.MySqlTableFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
          org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlTableLoader.MySqlTableFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Enclosing class:
  MySqlTableLoader

    public static class MySqlTableLoader.MySqlTableFactory

extends JDBCTableLoader.TableFactory

Base factory implementation for LOCAL TEMPORARY type tables.

Constructor Summary
`MySqlTableLoader.MySqlTableFactory()`

Method Summary
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes the isLocal attribute in addition to the the attributes initialized by super().

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
`createTable, getTableEClass, setSupportedColumns`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlTableLoader.MySqlTableFactory

    public MySqlTableLoader.MySqlTableFactory()

Method Detail

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes the isLocal attribute in addition to the the attributes initialized by super().

  Specified by:
    `initialize` in interface `JDBCTableLoader.ITableFactory`
  Overrides:
    `initialize` in class `JDBCTableLoader.TableFactory`
  Parameters:
    `table` - a new Table object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCTableLoader.TableFactory.initialize(org.eclipse.datatools.modelbase.sql.tables.Table, java.sql.ResultSet)`